### Method

# EDataServer SourceRegistry list_enabled

since: 3.10

#### Declaration [src]

    GList*
    e_source_registry_list_enabled (
      ESourceRegistry* registry,
      const gchar* extension_name
    )

#### Description [src]

Similar to e_source_registry_list_sources(), but returns only enabled sources according to e_source_registry_check_enabled().

The sources returned in the list are referenced for thread-safety. They must each be unreferenced with `g_object_unref()` when finished with them. Free the returned list itself with g_list_free().

An easy way to free the list properly in one step is as follows:

      g_list_free_full (list, g_object_unref);

Available since: 3.10

#### Parameters

`extension_name`

  Type: `const gchar*`

  An extension name, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: A list of `ESource*`

A sorted list of sources.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.